/******************************************************************************
 *            g_affichage_pieces_prises.c                                     *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

#include "g_affichage_pieces_prises.h"

void g_affichage_pieces_prises()
{
	register gint x;
	gint8 position_affichage_x=0;
	gint8 position_affichage_y=0;
	gint8 type_piece=0;
	GtkWidget *image;
	GdkPixbuf *dest;
	GtkWidget *cadre_pieces_prises;
	cadre_pieces_prises=(GtkWidget*)
								(gtk_data_list_get_by_name(widget_list, "cadre pieces prises"));
	GtkWidget *table_pieces_prises;
	table_pieces_prises=(GtkWidget*)
								(gtk_data_list_get_by_name(widget_list, "table pieces prises"));

	if (num_coup_joue>1)
	{
		// Destruction de la table qui contient les anciennes pieces prises
		gtk_widget_destroy(table_pieces_prises);
		widget_list=gtk_data_list_remove_by_name(widget_list,"table pieces prises");

		// Création d'une table pour afficher les pièces prises.
		table_pieces_prises=gtk_table_new(4,8,TRUE);
		widget_list=gtk_data_list_add_by_name(widget_list, table_pieces_prises,
																												"table pieces prises");
		gtk_widget_set_size_request(table_pieces_prises,180,100);

		// Insertion de la table dans son cadre
		gtk_container_add(GTK_CONTAINER(cadre_pieces_prises),table_pieces_prises);

		for (x = 1; x < 33; x++)
		{
			if (table_piece[x].type==vide)
			{
				type_piece=roi;
				//  Correspondance position tableau-> type de piece
				if(x<9 || (x>16 && x<25))
					type_piece=pion;
				else
				if (x==9 || x==10 || x==25 || x==26)
					type_piece=tour;
				else
				if (x==11 || x==12 || x==27 || x==28)
					type_piece=cavalier;
				else
				if (x==13 || x==14 || x==29 || x==30)
					type_piece=fou;
				else
				if (x==15 || x==31)
					type_piece=dame;

				// Calcul de la position d'affichage
				if (x>16)
				{
					if (x<25) // c'est un pion noir
					{
						position_affichage_x=x-17;
						position_affichage_y=2;
					}
					else
					{
						position_affichage_x=x-25;
						position_affichage_y=3;
					}
				}
				else
				{
					if (x>8) // Ce n'est pas un pion blanc
					{
						position_affichage_x=x-9;
						position_affichage_y=1;
					}
					else
					{
						position_affichage_x=x-1;
						position_affichage_y=0;
					}
				}

				// Chargement de l'image correspondant à la pièce supprimée
				dest=gdk_pixbuf_scale_simple(buf_images[type_piece][table_piece[x].couleur],22,22,GDK_INTERP_BILINEAR);
				image=gtk_image_new_from_pixbuf(dest);
				// DEBUG by xcfaudio: Test if the pointer is valid
				if( NULL != dest )
					g_object_unref(dest);
				gtk_table_attach(GTK_TABLE(table_pieces_prises),image,
						position_affichage_x,position_affichage_x+1,
						position_affichage_y,position_affichage_y+1, GTK_FILL, GTK_FILL, 2, 2);
			}
		}
		gtk_widget_show_all(table_pieces_prises);
	}
}
