/******************************************************************************
 *            g_interface.h                                                   *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

#include <gtk/gtk.h>
#include "echecs_var.h"


#if !defined(G_INTERFACE)
#define G_INTERFACE

// Enumération utilisée dans la routine de sauvegarde pour savoir s'il faut
// lancer une autre fonction une fois la sauvegarde effectuée.
enum
{
	NOUVELLE_PARTIE,
	CHARGER_PARTIE,
	QUITTER
};

// Taille graphique d'une piece
extern gint TAILLE_PIECE;
// Contient tous les widgets avec leurs noms;
extern GSList *widget_list;
// permet de savoir dans quel sens est affiché l'échiquier
extern gboolean g_echiquier_inverse;
// mémorise la case actuellement sélectionnée
extern type_piece g_case_selectionnee;
// mémorise la pièce à déplacer pour la fct
extern type_piece g_case_pour_etre_jouee;

struct g_position
{
	gint x,y;
};

// Position courante de la souris sur l'échiquier
extern struct g_position souris;
// Indique le n° du coup actuellement visualisé
extern gint g_position_courante_navigation;
// Contient tous les bitmaps utilisés pour l'échiquier
extern GdkPixbuf *buf_images[7][2];
// Contient le chemin des images des pieces et des cases vides
extern gchar *table_nom_images[7][2];

/******************************************************************************/
/*                    Description des noms des widgets utilisés               */
/*                                 dans widget_list                           */
/*                                                                            */
/*                                                                            */
/*  "fenetre_principale" : GtkWidget de la fenêtre principale                 */
/*  "icone_appli"				 : GdkPixbuf de l'icône de l'application              */
/*  "cadre_partie"       : GtkTreeView d'affichage des coups de la partie     */
/*  "cadre_pieces_prises" : GtkWidget encadrant la table des pièces prises    */
/*  "table_pieces_prises" : GtkWidget d'affichage des pièces prises           */
/*  "Ascenseur"          : GtkWidget de l'ascenseur pour cadre_partie         */
/*  "barre outils"       : GtkWidget de la toolbar principale                 */
/*  "item_coup_jouable"  : GtkToolItem pour montrer les coups jouables        */
/*  "coup affiche"       : GtkListStore de construction pour cadre_partie     */
/*  "Zone dessin"        : GtkWidget dans lequel l'échiquier est dessiné      */
/*  "bouton debut"       : GtkWidget pour naviguer dans la partie en cours    */
/*  "bouton recul"       : GtkWidget pour naviguer dans la partie en cours    */
/*  "bouton avance"      : GtkWidget pour naviguer dans la partie en cours    */
/*  "bouton dernier coup" : GtkWidget pour naviguer dans la partie en cours   */
/*  "menu nouveau"       : GtkWidget du menu nouveau                          */
/*  "menu enregistrer"   : GtkWidget du menu enregistrer                      */
/*  "menu charger"       : GtkWidget du menu charger                          */
/*  "menu jouer gnuchess : GtkWidget du menu pour lancer gnuchess             */
/*  "menu gnuchess show play" : GtkWidget pour l'affichage du coup gnuchess   */
/*  "view"               : GtkWidget d'affichage d'état avec gnuchess/FICS    */
/*  "menu affich texte sous icone": GtkWidget à 2 états du menu option        */
/*  "connexion"          : GtkWidget d'affichage de l'état de la connection   */
/*  "channel write"      : GIOChannel d'écriture sur le socket de gnuchess    */
/*                                                                            */
/******************************************************************************/
//extern GtkWidget *bouton_connexion;
//extern GtkWidget *ip;
//extern GtkWidget *port;
#endif
